aboutsummaryrefslogtreecommitdiff
path: root/test/lint
diff options
context:
space:
mode:
authoranouar kappitou <anoirkapp@gmail.com>2021-11-18 14:34:12 +0100
committeranouar kappitou <anoirkapp@gmail.com>2021-11-20 12:03:58 +0100
commit30df5c3dd4d39d9027b0341d01d3233400104893 (patch)
treedbe957bad68ec69e568b0862c67cefc45778980e /test/lint
parentfe03f7a37fd0ef05149161f6b95a25493e1fe38f (diff)
downloadbitcoin-30df5c3dd4d39d9027b0341d01d3233400104893.tar.xz
script: preventing non-compatible sed binary.
Diffstat (limited to 'test/lint')
-rwxr-xr-xtest/lint/commit-script-check.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/lint/commit-script-check.sh b/test/lint/commit-script-check.sh
index 6a8a15d05c..725599f054 100755
--- a/test/lint/commit-script-check.sh
+++ b/test/lint/commit-script-check.sh
@@ -17,6 +17,11 @@ if test -z "$1"; then
exit 1
fi
+if ! sed --help | grep -q 'GNU'; then
+ echo "Error: the installed sed package is not compatible. Please make sure you have GNU sed installed in your system.";
+ exit 1;
+fi
+
RET=0
PREV_BRANCH=$(git name-rev --name-only HEAD)
PREV_HEAD=$(git rev-parse HEAD)